Bug 1468509 - Failed to import and convert guest from kvm source if guest's disk type is volume at rhv4.1
Failed to import and convert guest from kvm source if guest's disk type is vo...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.4
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
V2V
: Reopened, TestOnly
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 05:53 EDT by mxie@redhat.com
Modified: 2018-06-13 03:43 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1469077 (view as bug list)
Environment:
Last Closed: 2017-09-28 08:17:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
no-disk (41.89 KB, image/png)
2017-07-07 05:53 EDT, mxie@redhat.com
no flags Details
vdsm.log (18.29 KB, text/plain)
2017-07-07 05:54 EDT, mxie@redhat.com
no flags Details
engine.log (3.06 KB, text/plain)
2017-07-07 05:54 EDT, mxie@redhat.com
no flags Details
failed-import (50.58 KB, image/png)
2017-07-07 05:55 EDT, mxie@redhat.com
no flags Details

  None (edit)
Description mxie@redhat.com 2017-07-07 05:53:33 EDT
Created attachment 1295243 [details]
no-disk

Description of problem:
Failed to import and convert guest from kvm source if guest's disk type is volume at rhv4.1

Version-Release number of selected component (if applicable):
rhv:4.1.3-0.1.el7
vdsm-4.19.20-1.el7ev.x86_64
virt-v2v-1.36.3-6.el7.x86_64
libguestfs-1.36.3-6.el7.x86_64
libvirt-client-3.2.0-14.el7.x86_64
qemu-kvm-rhev-2.9.0-14.el7.x86_64
libguestfs-winsupport-7.2-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a guest whose disk type is volume without floppy or CDROM device
#virsh dumpxml win2k12-file-virtio
....
   disk type='volume' device='disk'>
      <driver name='qemu' type='raw'/>
      <source pool='default' volume='esx6.0-win2012-x86_64-sda'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </disk>
....
2.Log in rhv and import guest from kvm as below steps, but failed to import the guest whose disk type is volume without floppy/CDROM device,  pls refer to screenshot "failed-import" and vdsm-import.log/engine-import.log

Open virtual machine option at rhv4.1 -> click import button -> choose source as KVM(via libvirt)->input URL:qemu+tcp://ip/system, username/password->Load guests successfully-> select guest "win2k12-file-virtio" to import

3.Add floppy/CDROM device to guest "win2k12-file-virtio" and try step2, then guest could be imported successfully

4.Although Guest win2k12-file-virtio could be imported but conversion of v2v can't be started because there is no disk listed in disk option pls refer to screenshot"no-disk"

Actula results:
As above description

Expected results:
Could import and convert guest from kvm source if disk type is volume at rhv4.1


Additional info:
Could import and convert guest from kvm source if disk type is file at rhv4.1 successfully
Comment 2 mxie@redhat.com 2017-07-07 05:54 EDT
Created attachment 1295244 [details]
vdsm.log
Comment 3 mxie@redhat.com 2017-07-07 05:54 EDT
Created attachment 1295245 [details]
engine.log
Comment 4 mxie@redhat.com 2017-07-07 05:55 EDT
Created attachment 1295246 [details]
failed-import
Comment 5 Richard W.M. Jones 2017-07-07 06:04:08 EDT
The only error I can see in the logs is:

2017-07-07 11:21:20,640+0800 WARN  (jsonrpc/7) [root] Cannot add VM win2k12-file-virtio due to disk storage error (v2v:1020)

Is there no other information available in any other log?
Comment 6 mxie@redhat.com 2017-07-07 06:19:53 EDT
Hi rjones,

  Yes, only got one error from vdsm.log, I doubt the problem is due to ovirt or vdsm can't recognize the volume disk
Comment 7 Tomáš Golembiovský 2017-07-10 07:07:32 EDT
This is indeed a VDSM issue. Currently we support only type='file' and type='block'. I cloned this and turned into RFE against VDSM.

*** This bug has been marked as a duplicate of bug 1469077 ***
Comment 11 Michal Skrivanek 2017-09-28 08:17:00 EDT
Sorry, this bug is not changed but closed. Verified by rhv qe

Note You need to log in before you can comment on or make changes to this bug.